# SPDX-License-Identifier: MIT
BuildRequires: fontforge
BuildRequires: perl-interpreter
BuildRequires: perl(Font::TTF)
BuildRequires: unicode-ucd

%global forgeurl    https://github.com/dejavu-fonts/dejavu-fonts
Version: 2.37
%global tag         %{lua:t=string.gsub(rpm.expand("version %{version}"), "[%p%s]+", "_");print(t)}
%forgemeta

Release: 15%{?dist}
URL:     https://dejavu-fonts.github.io/

%global common_description %{expand:
The DejaVu font set is based on the “Bitstream Vera” fonts, release 1.10. Its
purpose is to provide a wider range of characters, while maintaining the
original style, using an open collaborative development process.}

License:   Bitstream Vera and Public Domain
BuildArch: noarch

%global    source_name dejavu-fonts
%global    source_summary The DejaVu font families
%global    source_description %{expand:
%{?common_description}
}

%global foundry           DejaVu
%global fontlicenses      LICENSE
%global fontdocs          AUTHORS BUGS NEWS README.md

%global fontfamily0       DejaVu Sans
%global fontsummary0      DejaVu Sans, a variable-width sans-serif font family
%global fontheader0       %{expand:
Obsoletes: dejavu-fonts-common < %{version}-%{release}
Obsoletes: compat-f32-dejavu-sans-fonts
Suggests:  font(dejavusansmono)
}
%global fonts0            DejaVuSans.ttf DejaVuSans-*.ttf DejaVuSansCondensed*.ttf
%global fontconfs0        fontconfig/20*-dejavu-sans.conf
%global fontconfngs0      %{SOURCE1}
%global fontdescription0  %{expand:
%{?common_description}

This package consists of the DejaVu sans-serif variable-width font faces, in
their unabridged version.
}

%global fontfamily1       DejaVu Serif
%global fontsummary1      DejaVu Serif, a variable-width serif font family
%global fontheader1       %{expand:
Obsoletes: dejavu-math-tex-gyre-fonts < %{version}-%{release}
Obsoletes: compat-f32-dejavu-serif-fonts
}
%global fonts1            DejaVuSerif.ttf DejaVuSerif-*.ttf DejaVuSerifCondensed*.ttf DejaVuMathTeXGyre.ttf
%global fontconfs1        fontconfig/20*-dejavu-serif.conf
%global fontconfngs1      %{SOURCE2}
%global fontdescription1  %{expand:
%{?common_description}

This package consists of the DejaVu serif variable-width font faces, in their
unabridged version.

It includes the Mathematics extension, that was contributed to the project by
B. Jackowski, P. Strzelczyk and P. Pianowski, on behalf of TeX user groups.}

%global fontfamily2       DejaVu Sans Mono
%global fontsummary2      DejaVu Sans Mono, a mono-space sans-serif font family
%global fontheader2       %{expand:
Obsoletes: compat-f32-dejavu-sans-mono-fonts
}
%global fonts2            DejaVuSansMono*.ttf
%global fontconfs2        fontconfig/20*-dejavu-sans-mono.conf
%global fontconfngs2      %{SOURCE3}
%global fontdescription2  %{expand:
%{?common_description}

This package consists of the DejaVu sans-serif mono-space font faces, in their
unabridged version.}

%global fontfamily3       DejaVu LGC Sans
%global fontsummary3      A variable-width Latin-Greek-Cyrillic sans-serif font family
%global fontheader3       %{expand:
Suggests:  font(dejavusans)
}
%global fonts3            DejaVuLGCSans.ttf DejaVuLGCSans-*.ttf DejaVuLGCSansCondensed*.ttf
%global fontconfs3        fontconfig/20*-dejavu-lgc-sans.conf
%global fontconfngs3      %{SOURCE4}
%global fontdescription3  %{expand:
%{?common_description}

This package consists of the DejaVu sans-serif variable-width font faces, with
Unicode coverage restricted to Latin, Greek and Cyrillic.}

%global fontfamily4       DejaVu LGC Serif
%global fontsummary4      A variable-width Latin-Greek-Cyrillic serif font family
%global fontheader4       %{expand:
Suggests:  font(dejavuserif)
}
%global fonts4            DejaVuLGCSerif.ttf DejaVuLGCSerif-*.ttf DejaVuLGCSerifCondensed*.ttf
%global fontconfs4        fontconfig/20*-dejavu-lgc-serif.conf
%global fontconfngs4      %{SOURCE5}
%global fontdescription4  %{expand:
%{?common_description}

This package consists of the DejaVu serif variable-width font faces, with
Unicode coverage restricted to Latin, Greek and Cyrillic.}

%global fontfamily5       DejaVu LGC Sans Mono
%global fontsummary5      A variable-width Latin-Greek-Cyrillic mono-space font family
%global fontheader5       %{expand:
Suggests:  font(dejavusansmono)
}
%global fonts5            DejaVuLGCSansMono*.ttf
%global fontconfs5        fontconfig/20*-dejavu-lgc-sans-mono.conf
%global fontconfngs5      %{SOURCE6}
%global fontdescription5  %{expand:
%{?common_description}

This package consists of the DejaVu sans-serif mono-space font faces, with
Unicode coverage restricted to Latin, Greek and Cyrillic.}

%global lgcmetasummary All the font packages, generated from %{source_name}, Latin-Greek-Cyrillic subset
%global lgcmetadescription %{expand:
This meta-package installs all the font packages, generated from the %{source_name}
source package, in a version restricted to coverage of Latin, Greek and
Cyrillic.
}

%fontpkg
%fontmetapkg -z 1,2,3
%fontmetapkg -n dejavu-lgc-fonts-all -s lgcmetasummary -d lgcmetadescription -z 4,5,6
%docpkg

%sourcelist
%forgesource0
57-%{fontname0}.xml
57-%{fontname1}.xml
57-%{fontname2}.xml
58-%{fontname3}.xml
58-%{fontname4}.xml
58-%{fontname5}.xml

%patchlist
%{source_name}-urn-dtd.patch

%prep
%forgesetup
%patch0 -p1

%build
make %{?_smp_mflags} VERSION=%{version} FC-LANG="" \
     BLOCKS=/usr/share/unicode/ucd/Blocks.txt \
     UNICODEDATA=/usr/share/unicode/ucd/UnicodeData.txt \
     BUILDDIR=.
xz -9 *.txt
%fontbuild

%install
%fontinstall

%check
make check
%fontcheck

%fontfiles

%files doc
%defattr(644, root, root, 0755)
%license LICENSE
%doc *.txt.xz

%changelog
* Sat May 30 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 2.37-15
🚒 Rebuild with fonts-rpm-macros 4.0.2, fixing rpm 4.15 regressions

* Mon Apr 27 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 2.37-13
🐞 Workaround Fedora problems created by rpm commit 93604e2

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 2.37-12
👻 Rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are valid

* Mon Mar 09 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 2.37-7
✅ Remove F32 compatibility packages

* Mon Mar 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 2.37-6
✅ Lint, lint, lint and lint again

* Sat Feb 22 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 2.37-5
✅ Rebuild with fonts-rpm-macros 2.0.2

* Sat Feb 15 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 2.27-4
✅ Convert to fonts-rpm-macros use
✅ Merge math extension into serif

* Sat Feb 19 2005 Nicolas Mailhot <nim@fedoraproject.org>
- 1.7-1
✅ initial build – using vera as template
